<?php 
    $wp_customize->add_section(
        'newarrival_area',
        array(
            'title' => __( 'New Arrival Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );

    $wp_customize->add_setting(
        'newarrival_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'newarrival_area_disable',
            array(
                'settings'      => 'newarrival_area_disable',
                'section'       => 'newarrival_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'newarrivalus', 'newarrival_area', $color='#fff', get_template_directory_uri().'/images/default.png', 'img');

lzCustomLable($wp_customize, 'newarrivalarea_padding', 'newarrival_area', 'Section Padding');

$wp_customize->add_setting(
    'newarrival_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5.3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'newarrival_areaTpadding',
    array(
        'settings'      => 'newarrival_areaTpadding',
        'section'       => 'newarrival_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'newarrival_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'newarrival_areaBpadding',
    array(
        'settings'      => 'newarrival_areaBpadding',
        'section'       => 'newarrival_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'newarrival_heading', 'newarrival_area', 'Section Heading');

$wp_customize->add_setting(
        'newarrival_title',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'New Releases', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'newarrival_title',
        array(
            'settings'      => 'newarrival_title',
            'section'       => 'newarrival_area',
            'type'          => 'text',
            'label'         => __( 'Heading', 'luzuk-premium' )
        )
    );

$wp_customize->add_setting(
        'newarrival_text',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Lorem ipsum dolor sit amet,magna aliqua.', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'newarrival_text',
        array(
            'settings'      => 'newarrival_text',
            'section'       => 'newarrival_area',
            'type'          => 'text',
            'label'         => __( 'Text', 'luzuk-premium' )
        )
    );

addColorPalatOption($wp_customize, 'newarrival_area_headingClr', 'newarrival_area', 'Heading Color', '#000');

addColorPalatOption($wp_customize, 'newarrival_area_txtClr', 'newarrival_area', 'Text Color', '#000');

lzCustomLable($wp_customize, 'newarrivalarea_leftbox', 'newarrival_area', 'Left Discount Box');

// $wp_customize->add_setting(
//     'newproduct_image',
//     array(
//         'sanitize_callback' => 'esc_url_raw'
//     )
// );

// $wp_customize->add_control(
//     new WP_Customize_Image_Control(
//         $wp_customize,
//         'newproduct_image',
//         array(
//             'section' => 'newarrival_area',
//             'settings' => 'newproduct_image',
//             'description' => __('Recommended Image Size: 413X553px', 'luzuk-premium')
//         )
//     )
// );

$wp_customize->add_setting(
    'newproduct_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'newproduct_image',
        array(
            'section' => 'newarrival_area',
            'settings' => 'newproduct_image',
            'description' => __('Recommended Image Size: 413X553px', 'luzuk-premium')
        )
    )
);

$wp_customize->add_setting(
        'newdiscount_text',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( '-25%', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'newdiscount_text',
        array(
            'settings'      => 'newdiscount_text',
            'section'       => 'newarrival_area',
            'type'          => 'text',
            'label'         => __( 'Discount Value', 'luzuk-premium' )
        )
    );

$wp_customize->add_setting(
        'newproducttitle',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( '2009 Trilogy Cuvee Sweet 750ml', 'luzuk-premium' )
        )
    );
    $wp_customize->add_control(
        'newproducttitle',
        array(
            'settings'      => 'newproducttitle',
            'section'       => 'newarrival_area',
            'type'          => 'text',
            'label'         => __( 'Discount Title', 'luzuk-premium' )
        )
    );

$wp_customize->add_setting(
    'newbtn_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Shop Now', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'newbtn_text',
    array(
        'settings'      => 'newbtn_text',
        'section'       => 'newarrival_area',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);

$wp_customize->add_setting('newbtnlink',   
    array('default'=> 'Add Link', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('newbtnlink',
    array(
        'settings'      => 'newbtnlink',
        'section'       => 'newarrival_area',
        'type'          => 'url',
        'label'         => __( 'Button Link ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'newarrival_area_disctxtclr', 'newarrival_area', 'Discount Text Color', '#000');

addColorPalatOption($wp_customize, 'newarrival_area_disctxtbgclr', 'newarrival_area', 'Discount Text BG Color', '#fff');

addColorPalatOption($wp_customize, 'newarrival_area_disctitleclr', 'newarrival_area', 'Discount Title Color', '#545454');

addColorPalatOption($wp_customize, 'newarrival_area_discbtntxtclr', 'newarrival_area', 'Discount Button Text Color', '#000');

addColorPalatOption($wp_customize, 'newarrival_area_discbtntxthvrclr', 'newarrival_area', 'Discount Button Text Hover  Color', '#DDA759');

lzCustomLable($wp_customize, 'newarrivalarea_clr', 'newarrival_area', 'Section Color');

addColorPalatOption($wp_customize, 'newarrival_area_prdtimgbgclr1', 'newarrival_area', 'Product Image BG Color 1', '#fff');

addColorPalatOption($wp_customize, 'newarrival_area_prdtimgbgclr2', 'newarrival_area', 'Product Image BG Color 2', '#F5F5F5');

addColorPalatOption($wp_customize, 'newarrival_area_pagetitle', 'newarrival_area', 'Product Title Color', '#000');

addColorPalatOption($wp_customize, 'newarrival_area_salepriceClr', 'newarrival_area', 'Product Price Color ', '#030303');

addColorPalatOption($wp_customize, 'newarrival_area_prdcthvriconClr', 'newarrival_area', 'Product Hover Icon Color ', '#000');

addColorPalatOption($wp_customize, 'newarrival_area_prdcthvriconbgClr', 'newarrival_area', 'Product Hover Icon BG  Color ', '#DFDABA');

addColorPalatOption($wp_customize, 'newarrival_area_prdctdtlbgClr', 'newarrival_area', 'Product Details BG Color ', '#DFDABA');

addColorPalatOption($wp_customize, 'newarrival_area_sliderdotClr', 'newarrival_area', 'Slider Dot Color ', '#000');

addColorPalatOption($wp_customize, 'newarrival_area_slideractivedotClr', 'newarrival_area', 'Slider Active Dot Color ', '#DDA759');